#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("tamgiac.INP");
	ofstream f2("tamgiac.OUT");
	int a;
	int b;
	int c;
	f1>>a>>b>>c;
	if((a+b>c)&&(a+c>b)&&(b+c>a)&&(a>0)&&(b>0)&&(c>0))
	{
		f2<<"Yes";
		float p,s;
		p=(a+b+c)/2;
		f2<<sqrt(p*(p-a)*(p-b)*(p-c))<<"\n";
	}
	else
	{
		f2<<"No";
	}
	f1.close();
	f2.close();
}
